GET api/PortalNotifications?amendmentRequests={amendmentRequests}&appointmentCancelRequests={appointmentCancelRequests}&appointmentRequestReasons={appointmentRequestReasons}&appointmentRequests={appointmentRequests}&cdaLogs={cdaLogs}&communicationUpdatesAppointments={communicationUpdatesAppointments}&communicationUpdatesOrders={communicationUpdatesOrders}&communicationUpdatesPatients={communicationUpdatesPatients}&formFileSignatures={formFileSignatures}&incomingSecureMessages={incomingSecureMessages}&medicationRefillRequests={medicationRefillRequests}&outgoingSecureMessages={outgoingSecureMessages}&patientCommunications={patientCommunications}&patientPayments={patientPayments}&pghdUpdateRequests={pghdUpdateRequests}&portalPatients={portalPatients}
Returns information about pending operations on the portal. The pending operations include modifications requested to appointments, orders, patients, etc.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| amendmentRequests |
Set this parameter to true to get information about amendment requests that are pending in the portal. |
boolean |
Default value is False |
| appointmentCancelRequests |
Set this parameter to true to get information about appointment cancellations that are pending in the portal. |
boolean |
Default value is False |
| appointmentRequestReasons |
Set this parameter to true to get information about appointment request reasons that are pending in the portal. |
boolean |
Default value is False |
| appointmentRequests |
Set this parameter to true to get information about appointment requests that are pending in the portal. |
boolean |
Default value is False |
| cdaLogs |
Set this parameter to true to get information about CDA logs that are pending in the portal. |
boolean |
Default value is False |
| communicationUpdatesAppointments |
Set this parameter to true to get information about updates to appointments that are pending in the portal. |
boolean |
Default value is False |
| communicationUpdatesOrders |
Set this parameter to true to get information about updates to orders that are pending in the portal. |
boolean |
Default value is False |
| communicationUpdatesPatients |
Set this parameter to true to get information about updates to patients that are pending in the portal. |
boolean |
Default value is False |
| formFileSignatures |
Set this parameter to true to get information about form file signatures that are pending in the portal. |
boolean |
Default value is False |
| incomingSecureMessages |
Set this parameter to true to get information about incoming secure messages that are pending in the portal. |
boolean |
Default value is False |
| medicationRefillRequests |
Set this parameter to true to get information about medication refill requests that are pending in the portal. |
boolean |
Default value is False |
| outgoingSecureMessages |
Set this parameter to true to get information about outgoing secure messages that are pending in the portal. |
boolean |
Default value is False |
| patientCommunications |
Set this parameter to true to get information about patient communications that are pending in the portal. |
boolean |
Default value is False |
| patientPayments |
Set this parameter to true to get information about patient payments that are pending in the portal. |
boolean |
Default value is False |
| pghdUpdateRequests |
Set this parameter to true to get information about PGHD update requests that are pending in the portal. |
boolean |
Default value is False |
| portalPatients |
Set this parameter to true to get information about portal patients that are pending in the portal. |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
PortalNotificationsModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PendingNotifications |
This value indicates if there is a pending notification of any of the other type below. |
boolean |
None. |
| AmendmentRequests |
Number of amendment requests that are pending in the portal. |
integer |
None. |
| AppointmentCancelRequests |
Number of appointment cancellations that are pending in the portal. |
integer |
None. |
| AppointmentRequestReasons |
Number of appointment request reasons that are pending in the portal. |
integer |
None. |
| AppointmentRequests |
Number of appointment requests that are pending in the portal. |
integer |
None. |
| CdaLogs |
Number of CDA logs that are pending in the portal. |
integer |
None. |
| CommunicationUpdatesAppointments |
Number of updates to appointments that are pending in the portal. |
integer |
None. |
| CommunicationUpdatesOrders |
Number of updates to orders that are pending in the portal. |
integer |
None. |
| CommunicationUpdatesPatients |
Number of updates to patients that are pending in the portal. |
integer |
None. |
| FormFileSignatures |
Number of form file signatures that are pending in the portal. |
integer |
None. |
| IncomingSecureMessages |
Number of incoming secure messages that are pending in the portal. |
integer |
None. |
| MedicationRefillRequests |
Number of medication refill requests that are pending in the portal. |
integer |
None. |
| OutgoingSecureMessages |
Number of outgoing secure messages that are pending in the portal. |
integer |
None. |
| PatientCommunications |
Number of patient communications that are pending in the portal. |
integer |
None. |
| PatientPayments |
Number of patient payments that are pending in the portal. |
integer |
None. |
| PghdUpdateRequests |
Number of PGHD update requests that are pending in the portal. |
integer |
None. |
| PortalPatients |
Number of portal patients that are pending in the portal. |
integer |
None. |
Response Formats
application/json, text/json
{
"pendingNotifications": true,
"amendmentRequests": 2,
"appointmentCancelRequests": 3,
"appointmentRequestReasons": 4,
"appointmentRequests": 5,
"cdaLogs": 6,
"communicationUpdatesAppointments": 7,
"communicationUpdatesOrders": 8,
"communicationUpdatesPatients": 9,
"formFileSignatures": 10,
"incomingSecureMessages": 11,
"medicationRefillRequests": 12,
"outgoingSecureMessages": 13,
"patientCommunications": 14,
"patientPayments": 15,
"pghdUpdateRequests": 16,
"portalPatients": 17
}
application/xml, text/xml
<PortalNotificationsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PortalNotifications"> <AmendmentRequests>2</AmendmentRequests> <AppointmentCancelRequests>3</AppointmentCancelRequests> <AppointmentRequestReasons>4</AppointmentRequestReasons> <AppointmentRequests>5</AppointmentRequests> <CdaLogs>6</CdaLogs> <CommunicationUpdatesAppointments>7</CommunicationUpdatesAppointments> <CommunicationUpdatesOrders>8</CommunicationUpdatesOrders> <CommunicationUpdatesPatients>9</CommunicationUpdatesPatients> <FormFileSignatures>10</FormFileSignatures> <IncomingSecureMessages>11</IncomingSecureMessages> <MedicationRefillRequests>12</MedicationRefillRequests> <OutgoingSecureMessages>13</OutgoingSecureMessages> <PatientCommunications>14</PatientCommunications> <PatientPayments>15</PatientPayments> <PendingNotifications>true</PendingNotifications> <PghdUpdateRequests>16</PghdUpdateRequests> <PortalPatients>17</PortalPatients> </PortalNotificationsModel>